Subject: Re: [ANNOUNCE] tig-0.14

From: "Tilo Schwarz" <[email-masked]>
Date: Fri, 13 Feb 2009 00:14:40 +0100

On Thu, 12 Feb 2009 23:24:56 +0100, Jonas Fonseca  
<[email-masked]> wrote:

> On Thu, Feb 12, 2009 at 22:48, Tilo Schwarz <[email-masked]> wrote:
>> One thing came to my mind. When I use 'S' and then 'u' to stage/unstage
>> files, it would be nice if I could press a key(maybe 'C') to fire up my
>> $EDITOR, enter my commit message, let tig do the commit and find myself  
>> back
>> into the updated status view. Does this sound reasonable?
>
> Sure, you can achieve this very easily. For example, I have the
> following bindings in my ~/.tigrc:
>
>  bind generic + !git commit --amend
>  bind generic . !git commit
>
> With tig-0.14, you can also put bindings in your ~/.gitconfig or the
> project specific .git/config file using:
>
>  [tig "bind"]
>     generic = C !git commit
>     generic = w !firefox http://repo.or.cz/w/tig.git?h=%(commit)
>
> The last one uses "browsing state variables". There is more
> information about those in tigrc(5)[1]

Wow, that flexibility is really impressive!

Then I have another question: Did you ever thought of a branch view, where  
you can see, create, delete and merge the different branches which are in  
a git project.

Best regards,
(oops, I forgot to change this to the lists language in my previous post)

     Tilo